TIMEZONE(3)

NAME
timezone - return the time zone abbreviation

SYNOPSIS
#include <time.h>
char *
timezone(int zone, int dst);

DESCRIPTION
This interface is for compatibility only; it is impossible to reliably map timezone()'s arguments to a time zone abbreviation (see ctime(3)).

The timezone() function returns a pointer to a time zone abbreviation for the specified zone and dst values. zone is the number of minutes west of GMT and dst is non-zero if Daylight Saving Time is in effect.

This function is not used to set the system's time zone. The default system time zone may be set by running “zic -l timezone” as the superuser.

SEE ALSO
ctime(3), zic(8)

HISTORY
A timezone() function appeared in AT&T UNIX.